<ion-view>
  <ion-nav-title class="noMargin" side="left">
    People
  </ion-nav-title>
  <ion-content>
    <div class="paddingLR paddingTopSrt">
      <div class="searchBox  ">
        <input type="text" placeholder="Search person" ng-model="searchPeople">
        <div class="searchBtn"></div>
      </div>
      <ion-list class="dataList peopleList typeB">
        <ion-item class="leftEnter" ng-repeat="person in watchlistPersons.personDetails | filter: {'firstName':searchPeople}">
          <div class="leftCont">
            <div class="camData">
              <div class="personPic detect circle high"
                   style="background-image: url('data:image/jpeg;base64,{{person.pictures.data['0'].image ? person.pictures.data['0'].image:defaultImage}}')">
              </div>
            </div>
          </div>
          <div class="rightCont">
            <div class="personData small">
              <div class="name highlight">{{person.firstName}} {{person.lastName}}</div>
              <ul class="camWatch smallest divideData marginTopShort overflow">
                <!--<li class="cam midBlock"></li>-->
                <li class="watch midBlock">
                  <span>W: </span>
                  <span class="list" ng-repeat="watchlistAssoc in person.watchListIds">{{watchlistObj[watchlistAssoc].name}} </span>
                </li>
              </ul>
              <div class="alert greyColor vSmall marginTopShort">Alert: <span class="med">Medium</span></div>
            </div>
            <div class="expandIcon highlight" ng-click="selection = []; loadPersonsWatchlistDetailsforEdit(person)">
              <i class="icon ion-android-add"></i>
            </div>
          </div>
        </ion-item>
        <!--<ion-item>
          <div class="leftCont">
            <div class="camData">
              <div class="personPic detect circle" style="background-image: url('img/enrolled.png')"></div>
            </div>
          </div>
          <div class="rightCont">
            <div class="personData small">
              <div class="name highlight">Jason Statham</div>
              <ul class="camWatch smallest divideData marginTopShort">
                <li class="cam midBlock">Cam 27</li>
                <li class="watch midBlock">
                  <span class="off">W:</span> Suspect 2
                </li>
              </ul>
              <div class="alert greyColor vSmall marginTopShort">Alert: <span class="med">Medium</span></div>
            </div>
            <div class="expandIcon highlight">
              <i class="icon ion-android-add"></i>
            </div>
          </div>
        </ion-item>
        <ion-item>
          <div class="leftCont">
            <div class="camData">
              <div class="personPic detect circle med" style="background-image: url('img/enrolled.png')"></div>
            </div>
          </div>
          <div class="rightCont">
            <div class="personData small">
              <div class="name highlight">Jason Statham</div>
              <ul class="camWatch smallest divideData marginTopShort">
                <li class="cam midBlock">Cam 27</li>
                <li class="watch midBlock">
                  <span class="off">W:</span> Suspect 2
                </li>
              </ul>
              <div class="alert greyColor vSmall marginTopShort">Alert: <span class="high">High</span></div>
            </div>
            <div class="expandIcon highlight">
              <i class="icon ion-android-add"></i>
            </div>
          </div>
        </ion-item>
        <ion-item>
          <div class="leftCont">
            <div class="camData">
              <div class="personPic detect circle" style="background-image: url('img/enrolled.png')"></div>
            </div>
          </div>
          <div class="rightCont">
            <div class="personData small">
              <div class="name highlight">Jason Statham</div>
              <ul class="camWatch smallest divideData marginTopShort">
                <li class="cam midBlock">Cam 27</li>
                <li class="watch midBlock">
                  <span class="off">W:</span> Suspect 2
                </li>
              </ul>
              <div class="alert greyColor vSmall marginTopShort">Alert: <span class="med">Medium</span></div>
            </div>
            <div class="expandIcon highlight">
              <i class="icon ion-android-add"></i>
            </div>
          </div>
        </ion-item>
        <ion-item>
          <div class="leftCont">
            <div class="camData">
              <div class="personPic detect circle" style="background-image: url('img/enrolled.png')"></div>
            </div>
          </div>
          <div class="rightCont">
            <div class="personData small">
              <div class="name highlight">Jason Statham</div>
              <ul class="camWatch smallest divideData marginTopShort">
                <li class="cam midBlock">Cam 27</li>
                <li class="watch midBlock">
                  <span class="off">W:</span> Suspect 2
                </li>
              </ul>
              <div class="alert greyColor vSmall marginTopShort">Alert: <span class="low">Low</span></div>
            </div>
            <div class="expandIcon highlight">
              <i class="icon ion-android-add"></i>
            </div>
          </div>
        </ion-item>
        <ion-item>
          <div class="leftCont">
            <div class="camData">
              <div class="personPic detect circle med" style="background-image: url('img/enrolled.png')"></div>
            </div>
          </div>
          <div class="rightCont">
            <div class="personData small">
              <div class="name highlight">Jason Statham</div>
              <ul class="camWatch smallest divideData marginTopShort">
                <li class="cam midBlock">Cam 27</li>
                <li class="watch midBlock">
                  <span class="off">W:</span> Suspect 2
                </li>
              </ul>
              <div class="alert greyColor vSmall marginTopShort">Alert: <span class="high">High</span></div>
            </div>
            <div class="expandIcon highlight">
              <i class="icon ion-android-add"></i>
            </div>
          </div>
        </ion-item>-->
      </ion-list>
      <ion-infinite-scroll
        on-infinite="loadMorePersonData(personPageOffset, personPageLimit)"
        distance="30%"
        ng-if="watchlistPersons.personDetails.length >0"
        infinite-scroll-disabled="personPageLoaded== personTotalPage">
      </ion-infinite-scroll>
    </div>
    <div class="overlay" ng-show="watchlistPersons.personDetails.length == 0">
      <circular-loader></circular-loader>
    </div>
  </ion-content>


  <!--.......... alert details popup .........-->
  <div class="popupBox trans addToWatchlistPopup">
    <div class="x">
      <img src="img/close.png" alt="">
    </div>
    <ion-content>
      <div class="paddingLR">
        <!--<div class="borderBtm paddingBtmSml highlight mainNormal paddingLR">Add to watchlist</div>-->
          <div class="borderBtm paddingBtmSml highlight mainNormal paddingLR">Associate <span class="lightColor"> {{selectedPerson.firstName}} {{selectedPerson.lastName}}</span> with watchlist</div>

          <ion-scroll style="max-height: 250px;">
          <ion-list class="dataList plain">
            <ion-item
              ng-repeat="watchlistNew in watchlists.WatchlistPersonData">
              <label>
                <div class="checkbox midBlock">
                  <input type="checkbox"
                         name="selectedWatchlist[]"
                         ng-model="watchlistNew.selected"
                         value="{{watchlistNew.name}}"
                         ng-checked="selection.indexOf(watchlistNew.watchlistId) > -1"
                         ng-click="toggleSelection(watchlistNew.watchlistId)">
                  <div class="box"></div>
                </div>
                <div class="midBlock marginLeftSml subNormal">{{watchlistNew.name}}</div>
              </label>
            </ion-item>
          </ion-list>
        </ion-scroll>
        <div class="btn full marginTop outline normal" ng-click="updatePersonWatchlistRelationship(selection)">Add</div>
      </div>
    </ion-content>
  </div>
  <!--...... personCreatedMsg msg .........-->
  <div class="messagePopup personWatchlistmappingUpdated">
    Person added to Watchlist successfully.
  </div>
</ion-view>


